/*
    Sorcery game 8x8 font.
    Copyright (C) 2020  Alessandro Accattini

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


 *****************************************************************************
 *
 *
 * $Header$
 *
 *
 *
 * REVISION HISTORY:
 * $Log$
 */


/***************************************************************************/
/* include vari */

#include "fontdesc.h"				// font data type

/***************************************************************************/
/* define interni alla libreria */

/***************************************************************************/
/* strutture contenute all'interno della libreria */

/***************************************************************************/
/* costanti interne alla libreria */

static const unsigned char	Sorcery[:>={

		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........

		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........

		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........

		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........

		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........

		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........

		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........

		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........

		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........

		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........

		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........

		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........

		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........

		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........

		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........

		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........

		0x38,		// ..###...
		0x4c,		// .#..##..
		0xce,		// ##..###.
		0xd6,		// ##.#.##.
		0xe6,		// ###..##.
		0x64,		// .##..#..
		0x38,		// ..###...
		0x00,		// ........

		0x78,		// .####...
		0x18,		// ...##...
		0x18,		// ...##...
		0x18,		// ...##...
		0x18,		// ...##...
		0x18,		// ...##...
		0x7e,		// .######.
		0x00,		// ........

		0x7c,		// .#####..
		0xc6,		// ##...##.
		0x66,		// .##..##.
		0x1c,		// ...###..
		0x30,		// ..##....
		0x62,		// .##...#.
		0xfe,		// #######.
		0x00,		// ........

		0x7e,		// .######.
		0x8c,		// #...##..
		0x18,		// ...##...
		0x3c,		// ..####..
		0x06,		// .....##.
		0x86,		// #....##.
		0x7c,		// .#####..
		0x00,		// ........

		0x1c,		// ...###..
		0x3c,		// ..####..
		0x6c,		// .##.##..
		0xcc,		// ##..##..
		0xfe,		// #######.
		0x0c,		// ....##..
		0x0c,		// ....##..
		0x00,		// ........

		0x7e,		// .######.
		0xc0,		// ##......
		0xc0,		// ##......
		0xfc,		// ######..
		0x06,		// .....##.
		0xc6,		// ##...##.
		0x7c,		// .#####..
		0x00,		// ........

		0x1c,		// ...###..
		0x30,		// ..##....
		0x60,		// .##.....
		0xfc,		// ######..
		0xc6,		// ##...##.
		0xc6,		// ##...##.
		0x7c,		// .#####..
		0x00,		// ........

		0xfe,		// #######.
		0x86,		// #....##.
		0x0c,		// ....##..
		0x18,		// ...##...
		0x30,		// ..##....
		0x60,		// .##.....
		0xc0,		// ##......
		0x00,		// ........

		0x7c,		// .#####..
		0xc6,		// ##...##.
		0xc6,		// ##...##.
		0x7c,		// .#####..
		0xc6,		// ##...##.
		0xc6,		// ##...##.
		0x7c,		// .#####..
		0x00,		// ........

		0x7c,		// .#####..
		0xc6,		// ##...##.
		0xc6,		// ##...##.
		0x7e,		// .######.
		0x06,		// .....##.
		0x8c,		// #...##..
		0x78,		// .####...
		0x00,		// ........

		0x00,		// ........
		0x18,		// ...##...
		0x30,		// ..##....
		0x00,		// ........
		0x00,		// ........
		0x18,		// ...##...
		0x30,		// ..##....
		0x00,		// ........

		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x00,		// ........
		0x3c,		// ..####..
		0x72,		// .###..#.
		0xa9,		// #.#.#..#
		0x72,		// .###..#.

		0x70,		// .###....
		0x60,		// .##.....
		0x18,		// ...##...
		0x38,		// ..###...
		0x70,		// .###....
		0x60,		// .##.....
		0x18,		// ...##...
		0x38,		// ..###...

		0xfd,		// ######.#
		0xff,		// ########
		0xdd,		// ##.###.#
		0x8f,		// #...####
		0x9d,		// #..###.#
		0x8f,		// #...####
		0xfd,		// ######.#
		0xff,		// ########

		0xfd,		// ######.#
		0xff,		// ########
		0xfd,		// ######.#
		0xff,		// ########
		0xfd,		// ######.#
		0xff,		// ########
		0xfd,		// ######.#
		0xff,		// ########

		0x7c,		// .#####..
		0xc6,		// ##...##.
		0x06,		// .....##.
		0x1c,		// ...###..
		0x30,		// ..##....
		0x30,		// ..##....
		0x00,		// ........
		0x30,		// ..##....

		0xff,		// ########
		0xff,		// ########
		0xff,		// ########
		0xff,		// ########
		0xff,		// ########
		0xff,		// ########
		0xff,		// ########
		0xff,		// ########

		0x3a,		// ..###.#.
		0x46,		// .#...##.
		0xc6,		// ##...##.
		0xc6,		// ##...##.
		0xc6,		// ##...##.
		0xce,		// ##..###.
		0x76,		// .###.##.
		0x00,		// ........

		0xdc,		// ##.###..
		0xe6,		// ###..##.
		0xc6,		// ##...##.
		0xfc,		// ######..
		0xc6,		// ##...##.
		0xc6,		// ##...##.
		0xfc,		// ######..
		0x00,		// ........

		0x3c,		// ..####..
		0x42,		// .#....#.
		0xc0,		// ##......
		0xc0,		// ##......
		0xc0,		// ##......
		0x66,		// .##..##.
		0x3c,		// ..####..
		0x00,		// ........

		0x0e,		// ....###.
		0x76,		// .###.##.
		0xce,		// ##..###.
		0xc6,		// ##...##.
		0xc6,		// ##...##.
		0x46,		// .#...##.
		0x3c,		// ..####..
		0x00,		// ........

		0x3c,		// ..####..
		0x66,		// .##..##.
		0xc6,		// ##...##.
		0xfc,		// ######..
		0xc0,		// ##......
		0x66,		// .##..##.
		0x3c,		// ..####..
		0x00,		// ........

		0x5c,		// .#.###..
		0x66,		// .##..##.
		0x60,		// .##.....
		0xf8,		// #####...
		0x60,		// .##.....
		0x60,		// .##.....
		0x60,		// .##.....
		0x80,		// #.......

		0x3a,		// ..###.#.
		0x66,		// .##..##.
		0xc6,		// ##...##.
		0xc6,		// ##...##.
		0x4e,		// .#..###.
		0x76,		// .###.##.
		0x86,		// #....##.
		0x7c,		// .#####..

		0xc0,		// ##......
		0xfc,		// ######..
		0xe6,		// ###..##.
		0xc6,		// ##...##.
		0xc6,		// ##...##.
		0xcc,		// ##..##..
		0xde,		// ##.####.
		0x00,		// ........

		0x7c,		// .#####..
		0xb8,		// #.###...
		0x30,		// ..##....
		0x30,		// ..##....
		0x30,		// ..##....
		0x34,		// ..##.#..
		0xfc,		// ######..
		0x00,		// ........

		0x7f,		// .#######
		0x06,		// .....##.
		0x06,		// .....##.
		0x46,		// .#...##.
		0xc6,		// ##...##.
		0x6c,		// .##.##..
		0x38,		// ..###...
		0x00,		// ........

		0xc6,		// ##...##.
		0xcc,		// ##..##..
		0xd8,		// ##.##...
		0xf0,		// ####....
		0xf0,		// ####....
		0xd8,		// ##.##...
		0xce,		// ##..###.
		0x00,		// ........

		0xf8,		// #####...
		0x30,		// ..##....
		0x60,		// .##.....
		0x60,		// .##.....
		0x60,		// .##.....
		0x66,		// .##..##.
		0x7c,		// .#####..
		0x00,		// ........

		0xac,		// #.#.##..
		0xd6,		// ##.#.##.
		0xd6,		// ##.#.##.
		0xd6,		// ##.#.##.
		0xd6,		// ##.#.##.
		0xd6,		// ##.#.##.
		0xd4,		// ##.#.#..
		0x00,		// ........

		0xdc,		// ##.###..
		0xf6,		// ####.##.
		0xe6,		// ###..##.
		0xc6,		// ##...##.
		0xc6,		// ##...##.
		0xcc,		// ##..##..
		0xde,		// ##.####.
		0x00,		// ........

		0x38,		// ..###...
		0x4c,		// .#..##..
		0xc6,		// ##...##.
		0xc6,		// ##...##.
		0xc6,		// ##...##.
		0x64,		// .##..#..
		0x38,		// ..###...
		0x00,		// ........

		0xdc,		// ##.###..
		0xee,		// ###.###.
		0xc6,		// ##...##.
		0xc6,		// ##...##.
		0xc6,		// ##...##.
		0xec,		// ###.##..
		0xd8,		// ##.##...
		0xc0,		// ##......

		0x38,		// ..###...
		0x4c,		// .#..##..
		0xc6,		// ##...##.
		0xc6,		// ##...##.
		0xc6,		// ##...##.
		0x64,		// .##..#..
		0x38,		// ..###...
		0x1e,		// ...####.

		0xdc,		// ##.###..
		0xe6,		// ###..##.
		0xc6,		// ##...##.
		0xc4,		// ##...#..
		0xf8,		// #####...
		0xcc,		// ##..##..
		0xc6,		// ##...##.
		0x00,		// ........

		0x7c,		// .#####..
		0xc2,		// ##....#.
		0xc0,		// ##......
		0x7c,		// .#####..
		0x06,		// .....##.
		0xc6,		// ##...##.
		0x7c,		// .#####..
		0x00,		// ........

		0xfe,		// #######.
		0x18,		// ...##...
		0x30,		// ..##....
		0x30,		// ..##....
		0x30,		// ..##....
		0x30,		// ..##....
		0x18,		// ...##...
		0x00,		// ........

		0xf6,		// ####.##.
		0x66,		// .##..##.
		0x46,		// .#...##.
		0xc6,		// ##...##.
		0xc6,		// ##...##.
		0xee,		// ###.###.
		0x76,		// .###.##.
		0x00,		// ........

		0xe6,		// ###..##.
		0x46,		// .#...##.
		0xc6,		// ##...##.
		0xc6,		// ##...##.
		0x66,		// .##..##.
		0x3c,		// ..####..
		0x18,		// ...##...
		0x00,		// ........

		0xcc,		// ##..##..
		0x46,		// .#...##.
		0xd6,		// ##.#.##.
		0xd6,		// ##.#.##.
		0xd6,		// ##.#.##.
		0xd6,		// ##.#.##.
		0x6c,		// .##.##..
		0x00,		// ........

		0x86,		// #....##.
		0xcc,		// ##..##..
		0x78,		// .####...
		0x38,		// ..###...
		0x3c,		// ..####..
		0x66,		// .##..##.
		0xc2,		// ##....#.
		0x00,		// ........

		0xc6,		// ##...##.
		0x66,		// .##..##.
		0x66,		// .##..##.
		0x66,		// .##..##.
		0x3c,		// ..####..
		0x8c,		// #...##..
		0xcc,		// ##..##..
		0x78,		// .####...

		0x3e,		// ..#####.
		0x46,		// .#...##.
		0x0c,		// ....##..
		0x18,		// ...##...
		0x30,		// ..##....
		0x62,		// .##...#.
		0xfc,		// ######..
		0x00,		// ........
};

/***************************************************************************/
/* costanti pubbliche */
			
const FontDesc_t	SorceryFont={(unsigned char*)Sorcery,	// data ptr
//					59*8,		// data len
					' ',		// first ASCII code
					'Z',		// last ASCII code
					8,		// width
					8,		// height
					8};		// byte per char

/***************************************************************************/
/* variabili interne alla libreria */

/***************************************************************************/
/* funzioni interne alla libreria */

/***************************************************************************/
/* funzioni */


/* $Source$ */


